Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.runtime
Class OptimisticLockException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javax.jdo.JDOException
                              |
                              +--javax.jdo.JDOCanRetryException
                                    |
                                    +--javax.jdo.JDOUserException
                                          |
                                          +--com.solarmetric.rd.kodo.runtime.OptimisticLockException

All Implemented Interfaces:
  java.io.Serializable

public class OptimisticLockException
extends javax.jdo.JDOUserException

Exception type reserved for optimistic lock violations.

See Also:
  Serialized Form

Constructor Summary
`OptimisticLockException(java.lang.Object failedObject)`
`OptimisticLockException(java.lang.Throwable[] nested)`

Methods inherited from class javax.jdo.JDOException
`getFailedObject, getNestedExceptions, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OptimisticLockException

    public OptimisticLockException(java.lang.Object failedObject)

### OptimisticLockException

    public OptimisticLockException(java.lang.Throwable[] nested)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.